import api from "src/api";

export const getKanbanReplies = async (kanbanId) => {
  const { data } = await api.get(`/franchisee/activities/${kanbanId}/replies`);
  return data.payload;
};

export const createKanbanReply = async (kanbanId, payload) => {
  const { data } = await api.post(`/franchisee/activities/${kanbanId}/replies`, payload);
  return data.payload;
};

export const updateKanbanReply = async (kanbanId, id, payload) => {
  const { data } = await api.put(`/franchisee/activities/${kanbanId}/replies/${id}`, payload);
  return data.payload;
};

export const deleteKanbanReply = async (kanbanId, id) => {
  const { data } = await api.delete(`/franchisee/activities/${kanbanId}/replies/${id}`);
  return data;
};
